ghc-7.0.3: The GHC API

CmmZipUtil

Synopsis

- zipPreds :: LastNode l => LGraph m l -> BlockEnv BlockSet
- givesUniquePredecessorTo :: LastNode l => LGraph m l -> BlockId -> Bool

# Documentation

zipPreds :: LastNode l => LGraph m l -> BlockEnv BlockSet

Compute the predecessors of each reachable block

givesUniquePredecessorTo :: LastNode l => LGraph m l -> BlockId -> Bool

Tell if a graph gives a block a unique predecessor. For efficiency, this function is designed to be partially applied.